
QGIS Application - Bug report #20039

toolbar icons not correctly aligned

2018-10-06 06:06 PM - salvatore fiandaca

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27861

Description

creating a project relation occurs the one described in the object

History

#1 - 2018-10-08 10:11 AM - Giovanni Manghi

- Subject changed from qgis 3.3 master - icon overlay with external key name to toolbar icons not correctly aligned

- Category changed from Relations to GUI

- Assignee deleted (Matthias Kuhn)

- Regression? changed from No to Yes

#2 - 2018-10-09 12:24 AM - Andrea Giudiceandrea

It seems that such strange behaviour is a little bit everywhere in the GUI dialog windows.

Some other examples:

Data Source Manager | Delimited Text

https://agiudiceandrea.github.io/QGIS330_7.GIF

Data Source Manager | Virtual Layer

https://agiudiceandrea.github.io/QGIS330_8.PNG

Save Raster Layer as…

https://agiudiceandrea.github.io/QGIS330_9.PNG

Translate (Convert Format)

https://agiudiceandrea.github.io/QGIS330_10.PNG

#3 - 2018-10-23 08:32 AM - Loïc BARTOLETTI

- Operating System deleted (win 10 - osgeo4w)

I removed "operating system" since it's not only related to windows.

#4 - 2018-10-23 09:55 AM - Nyall Dawson

This should be fixed in master already. Do you still see it?
#5 - 2018-10-23 09:55 AM - Nyall Dawson

- Status changed from Open to Feedback

#6 - 2018-10-23 10:01 AM - salvatore fiandaca

Nyall Dawson wrote:

This should be fixed in master already. Do you still see it?

Thank you,

all right!!!

#7 - 2018-10-23 10:34 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

#8 - 2018-10-23 05:24 PM - Harrissou Santanna

- File weird_widget_resize.png added

- Status changed from Closed to Reopened

- Resolution deleted (fixed/implemented)

@Nyall, is it a very recent fix? Because I just get it (using commit:"c94eefb6df" - a less than a day commit). See attached screenshot (playing with

symmetric classification, I got that).

#9 - 2018-10-23 07:05 PM - Nyall Dawson

The symmetric classification one is a different bug - can you open a new report for this?

#10 - 2018-10-23 10:13 PM - Andrea Giudiceandrea

Harrissou Santanna wrote:

@Nyall, is it a very recent fix? Because I just get it (using commit:"c94eefb6df" - a less than a day commit). See attached screenshot (playing with

symmetric classification, I got that).

I cannot reproduce it on W7 64 bit with 3.3.0-100 at the same code revision c94eefb6df: maybe due to different Qt version (mine is 5.11.2)?

#11 - 2018-12-27 04:48 PM - Nyall Dawson

- Status changed from Reopened to Closed

- Resolution set to fixed/implemented

Original bug is fixed
Files

RELAZIONI.png 13.8 KB 2018-10-06 salvatore fiandaca

weird_widget_resize.png 46.5 KB 2018-10-23 Harrissou Santanna
